MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023852Open CASCADE[OCCT] OCCT:Foundation Classespublic2013-03-22 14:392013-04-29 15:24
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023852: OSD_Path interprets unc paths incorrectly
DescriptionFunction RemoveExtraSeparator(TCollection_AsciiString& aString) replaces all consecutive forward slashes to one forward slash, it leads to impossibility of using unc paths.
TagsNo tags attached.
Test case numberbugs fclasses(002) bug23852
Attached Files? file icon bug23852 (303 bytes) 2013-03-26 18:15

- Relationships

-  Notes
(0023881)
ika (developer)
2013-03-25 11:01

Checking for unc paths on Windows was added.

Branch CR23852 is ready to be reviewed.

Dear GKA,
Please review.
(0023891)
kgv (developer)
2013-03-26 09:49

Dear ika,

please avoid using deprecated macro WNT. Use _WIN32 instead (in this case).
(0023894)
ika (developer)
2013-03-26 13:59

Dear KGV,
Thank you for your remark, branch CR23852 was updated.
(0023895)
gka (developer)
2013-03-26 14:08

Branch CR23852 is ready to test
(0023900)
ika (developer)
2013-03-26 17:21

Dear MKV,
command OSDPath works with unc path correctly

Draw[22]> OSDPath //VIRTEX/dn43/occt_tests_data/public/step/trj4_xr1-db-214.stp
Node :
UserName :
Password :
Disk :
Trek : ||VIRTEX|dn43|occt_tests_data|public|step|
Name : trj4_xr1-db-214
Extension : .stp
(0023913)
mkv (tester)
2013-03-28 11:54

Dear BugMaster,

Branch CR23852 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 80ed964c6158e540ba47c17630502f938031b9b9

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs fclasses bug23852 - OK.

Testing on Linux:
Total MEMORY difference: 226881916 / 225185580
Total CPU difference: 15027.550000000436 / 15162.959999999912

Testing on Windows:
Total MEMORY difference: 353186568 / 355405792
Total CPU difference: 21115.59375 / 21156.953125

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 802ea1e6
Timestamp: 2013-03-29 08:15:13
Author: ika
Committer: bugmaster
Details ] Diff ]
0023852: OSD_Path interprets unc paths incorrectly

checking for unc path on Windows was added
change deprecated macro WNT to _WIN32
Adding test case for this fix
mod - src/OSD/OSD_Path.cxx Diff ] File ]
add - tests/bugs/fclasses/bug23852 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-03-22 14:39 ika New Issue
2013-03-22 14:39 ika Assigned To => ika
2013-03-25 11:01 ika Note Added: 0023881
2013-03-25 11:01 ika Assigned To ika => gka
2013-03-25 11:01 ika Status new => resolved
2013-03-26 09:49 kgv Note Added: 0023891
2013-03-26 13:59 ika Note Added: 0023894
2013-03-26 14:08 gka Note Added: 0023895
2013-03-26 14:08 gka Status resolved => reviewed
2013-03-26 14:56 mkv Assigned To gka => mkv
2013-03-26 17:21 ika Note Added: 0023900
2013-03-26 18:14 ika File Added: bug23852
2013-03-26 18:15 ika File Deleted: bug23852
2013-03-26 18:15 ika File Added: bug23852
2013-03-28 11:54 mkv Note Added: 0023913
2013-03-28 11:55 mkv Test case number => bugs fclasses(002) bug23852
2013-03-28 11:55 mkv Assigned To mkv => bugmaster
2013-03-28 11:55 mkv Status reviewed => tested
2013-04-01 17:37 bugmaster Changeset attached => occt master 802ea1e6
2013-04-01 17:37 bugmaster Status tested => verified
2013-04-01 17:37 bugmaster Resolution open => fixed
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:24 aiv Fixed in Version => 6.6.0


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker